{% extends "_doc_layout.html" %}

{% set page = 'conclusion' %}

{% block content %}
<div tabindex="-1" id="notebook" class="border-box-sizing">
  <div class="container" id="notebook-container">
    <div class="cell border-box-sizing text_cell rendered">
      <div class="prompt input_prompt"></div>
      <div class="inner_cell">
        <div class="text_cell_render border-box-sizing rendered_html">
          <h1 id="&#1044;&#1198;&#1043;&#1053;&#1069;&#1051;&#1058;">&#1044;&#1198;&#1043;&#1053;&#1069;&#1051;&#1058;<a class="anchor-link" href="#&#1044;&#1198;&#1043;&#1053;&#1069;&#1051;&#1058;">&#182;</a></h1>
          <p>"AI &amp; Machine Learning" хичээлийн хүрээнд машин сургалтын алгоритмыг <strong>opinion analysis</strong> буюу үг зүйн утгыг ялган танихад ашиглах туршилт судалгааг хийв. IMDB сайтаас авсан 50000 орчим санал сэтгэгдэл дээр суурилан аливаа кинонд өгсөн сэтгэгдлийн эерэг, сөрөг эсэхийг ялган таних model буюу classifier боловсруулсан. Ингэхдээ эхлээд хэрэглэгчийн хандлага буюу текстэд утгын хувьд үл нөлөөлөх /<strong>stopwords</strong>/ үгийг цохох, нөлөө багатай үгсийн model-д тооцогдох weight буюу жинг term frequency-inverse document /<strong>tf-idf</strong>/ [6] аргаар багасгах зэрэг preprocessing алхмуудыг хийж, feature vector руу <strong>bag-of-words</strong> model-ийн тусламжтай хөрвүүлсэн. Мөн дурын хэрэглэгчээс feedback авч уг model-ыг байнгын сайжруулах онлайн вэб аппликэйшн хөгжүүлэв.</p>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}
